<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\LogtransfAgendService;

class LogtransfAgendController extends FMCrud
{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $LogtransfAgendService;

    public function __construct($crudService, $environment, LogtransfAgendService $LogtransfAgendService)
    {
        parent::__construct($crudService, $environment);
        $this->LogtransfAgendService = $LogtransfAgendService;
    }

    public function getHistorico(DTO\Response $response)
    {
        $variavel = $this->LogtransfAgendService->getHistorico();
        $dtsVal = new DataSet('historico', $variavel);
        $response->addDataSet($dtsVal);
    }
}
